petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscComplex

PETSc type that represents a complex number with precision matching that of PetscReal.

### Synopsis

    #include <petscsys.h>
    PetscComplex number = 1. + 2.*PETSC_i;

### Note

Complex numbers are automatically available if PETSc was able to find a working complex implementation

### See Also

PetscReal, PetscComplex, MPIU_COMPLEX, PetscInt, PETSC_i

Level:beginner
Location:include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages